Bug 70018 - Nonexistant sound / Sound delays
Nonexistant sound / Sound delays
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: arts (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-28 23:26 EDT by Need Real Name
Modified: 2007-04-18 12:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:05:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-28 23:26:12 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux) 
 
Description of problem: 
No sound in Gnome; extremely high sound delays in KDE 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. In KDE, use a program that produces sound. 
2. Then in Gnome, use a program that produces sound 
  
 
Actual Results:  There is a 1-second sound delay in KDE. 
There is no sound in Gnome. 
 
Expected Results:  Sound should have been produced with no delays. 
 
Additional info: 
 
This could be related to bug #61974, which I've posted a comment to.  But, no 
one has touched that bug in months and months, and the problem could be 
different... 
 
I've copied my post here.  A notable exception to this is Xine, which plays 
properly (perhaps it doesn't use artsd?  I don't know...) 
 
Sound under ALL of my KDE applications is lagged by about one second.  It does  
not matter what I am using or how busy the CPU is at the time.  
  
I have NO sound in Gnome.  
  
Gnome logs the following to .xsession-errors when I try to use sound:  
  
  
mcop warning: user defined signal handler found for SIG_PIPE, overriding  
arts_init error: can't connect to aRts soundserver  
  
and logs the following in my messages file:  
  
modprobe: modprobe: Can't locate module sound-slot-1  
modprobe: modprobe: Can't locate module sound-service-1-0  
  
  
KDE just logs the first message under .xsession-errors and nothing in  
messages, i.e.:  
  
  
mcop warning: user defined signal handler found for SIG_PIPE, overriding  
 
  
Furthermore, my sound was FINE under Redhat 7.2 . No problems, no delays, 
until I decided to install 7.3 .
Comment 1 Joshua 2002-08-11 15:39:30 EDT
I have the same problem - es1371 sound card.
It is very obvious with Maelstrom where the sounds are delayed so much that they
will continue to play even after the program is closed.
Comment 2 Need Real Name 2003-07-31 22:28:37 EDT
Wow, this bug is one year old, and it's still "New"...

Anyway, tried Red Hat 8 and 9.  There is sound in Gnome, but there are still
sound delays in both window managers.  Tried various machines with different
sound cards with zero success, including other users who use Red Hat.  Does
sound actually work properly for ANYONE under RH7.3+?
Comment 3 Bill Nottingham 2006-08-05 01:24:57 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 4 Bill Nottingham 2006-10-18 13:05:00 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.